User Tag List

Results 1 to 8 of 8

Thread: Can I build / test and app on a device running iOS 6.1?

  1. #1
    Clicker Fusion 2.5 DeveloperiOS Export ModuleSWF Export Module
    Ryan's Avatar
    Join Date
    Nov 2008
    Location
    Australia
    Posts
    1,275
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Can I build / test and app on a device running iOS 6.1?

    It seems like the SDKs available only support iOS 8/9, my device is 6.1, can I somehow adjust Xcode to test on older versions of iOS or am I forced to test on a newer device?

  2. #2
    Clicker Fusion 2.5 DeveloperiOS Export ModuleSWF Export Module
    Ryan's Avatar
    Join Date
    Nov 2008
    Location
    Australia
    Posts
    1,275
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    So far I'm getting errors like "Library not loaded: game controller.framework. Reason: Image not found"

    However I can test on the iPhone / iPad simulators with only a bunch of warnings coming up about integers used when expecting float.

  3. #3
    Clicker Fusion 2.5 DeveloperiOS Export ModuleSWF Export Module
    Ryan's Avatar
    Join Date
    Nov 2008
    Location
    Australia
    Posts
    1,275
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Alright, just tested on a device running iOS 8 and still the same errors. What am I doing wrong here?

    I downloaded the latest iPhone exporter version 283.5.
    I downloaded xcode 7 beta, some people suggest xcode 6 but now that I've got 7 it won't let me install 6. I could probably completely remove xcode 7 beta but people are reporting that it works with fusion. Is Fusion not compatible with SDK 9 beta 4?

    I'm building using SDK: iOS 9 beta 4, once again I can't download SDK iOS 8 because I already have xcode 7.

    I'm setting the device version correctly.

  4. #4
    Clicker Fusion 2.5 DeveloperiOS Export ModuleSWF Export Module
    Ryan's Avatar
    Join Date
    Nov 2008
    Location
    Australia
    Posts
    1,275
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Alright I got it working on the iOS 6.1 by installing xCode6 and abandoning xCode7. Seems like there is some flexibility for backwards compatibility in xcode.

  5. #5
    Clicker Fusion 2.5 DeveloperAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleUniversal Windows Platform Export ModuleSWF Export Module
    paobrasil's Avatar
    Join Date
    Apr 2012
    Location
    Rio de Janeiro, Brazil
    Posts
    1,149
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    why you want to test on iOS running a too old version?

  6. #6
    Forum Moderator

    Fusion 2.5 MacFusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleUniversal Windows Platform Export ModuleSWF Export ModuleMac Export ModuleInstall Creator Pro
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)
    Perry's Avatar
    Join Date
    Dec 2013
    Location
    Watertown, WI
    Posts
    4,323
    Mentioned
    44 Post(s)
    Tagged
    0 Thread(s)
    once you have Xcode 7 Beta and upgraded you OS, you CANNOT go back.. unless a complete new install of your OS etc.
    Also the Xcode 7 won't allow you to post an App in the store anyways.. (Apple is preventing that now as well, since it's too buggy atm)

    Anyways the error you are getting, you need to change the setting in Fusion (IOS exporter tab) / or in Xcode and change it to 6 /7

  7. #7
    Clicker Fusion 2.5Fusion 2.5 MaciOS Export ModuleInstall Creator Pro
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    advaith's Avatar
    Join Date
    Jun 2015
    Location
    SF Bay Area, California, USA
    Posts
    1,325
    Mentioned
    1 Post(s)
    Tagged
    0 Thread(s)
    You can just install an older version of Xcode and copy over the missing OS versions.

  8. #8
    Clickteam Clickteam

    Join Date
    Jun 2006
    Location
    France
    Posts
    12,917
    Mentioned
    94 Post(s)
    Tagged
    2 Thread(s)
    Quote Originally Posted by Ryan View Post
    I downloaded the latest iPhone exporter version 283.5.
    The latest version is the build 284.10. Install the latest patch of CF 2.5 after installing the build 283.5 of the iOS exporter.

    Or better, install the beta of the build 285, I think Anders has made changes for the latest SDK.

Similar Threads

  1. Cant test my game on my ios device
    By District in forum iOS Export Module 2.5
    Replies: 1
    Last Post: 28th January 2015, 10:12 AM
  2. How to test on android device?
    By MonDieu72 in forum Android Export Module 2.5
    Replies: 2
    Last Post: 18th February 2014, 10:31 AM
  3. Running a program on a device from inside the editor
    By Jason in forum Android Export Module 2.5
    Replies: 3
    Last Post: 23rd January 2014, 12:49 AM
  4. iAd test ads don't appear on device
    By MJK in forum iOS Export Module 2.5
    Replies: 5
    Last Post: 17th January 2014, 06:50 PM
  5. Test device suggestions
    By Ramses in forum iOS Export Module Version 2.0
    Replies: 4
    Last Post: 5th October 2011, 10:53 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •